type: service
github_project: open-telemetry/opentelemetry-collector

status:
  class: pkg
  stability:
    development: [traces, metrics, logs]
  distributions: [core, contrib]

telemetry:
  metrics:
    process_uptime:
      enabled: true
      stability:
        level: alpha
      description: Uptime of the process
      unit: s
      sum:
        async: true
        value_type: double
        monotonic: true

    process_runtime_heap_alloc_bytes:
      enabled: true
      stability:
        level: alpha
      description: Bytes of allocated heap objects (see 'go doc runtime.MemStats.HeapAlloc')
      unit: By
      gauge:
        async: true
        value_type: int

    process_runtime_total_alloc_bytes:
      enabled: true
      stability:
        level: alpha
      description: Cumulative bytes allocated for heap objects (see 'go doc runtime.MemStats.TotalAlloc')
      unit: By
      sum:
        async: true
        value_type: int
        monotonic: true

    process_runtime_total_sys_memory_bytes:
      enabled: true
      stability:
        level: alpha
      description: Total bytes of memory obtained from the OS (see 'go doc runtime.MemStats.Sys')
      unit: By
      gauge:
        async: true
        value_type: int

    process_cpu_seconds:
      enabled: true
      stability:
        level: alpha
      description: Total CPU user and system time in seconds
      unit: s
      sum:
        async: true
        value_type: double
        monotonic: true

    process_memory_rss:
      enabled: true
      stability:
        level: alpha
      description: Total physical memory (resident set size)
      unit: By
      gauge:
        async: true
        value_type: int
